--**********************
--  EHSD
--  GYRO MENU
--**********************

-- ALL MODES MENU
-- LEFT
local	ehsd_btn_02				= CreateElement "ceStringPoly"
		ehsd_btn_02.name		= "ehsd_btn_02"
		ehsd_btn_02.material	= mpcd_tpod_font
		ehsd_btn_02.init_pos	= mpcd_btn_02_pos
		ehsd_btn_02.alignment	= "CenterCenter"
		ehsd_btn_02.value		= "D\nA\nT\nA"
		ehsd_btn_02.stringdefs	= MPCD_default_font_size
		ehsd_btn_02.controllers	= {{"EHSD_MAP_NMenu"}}
Add_MPCD_VIDEO_Element(ehsd_btn_02)

local	ehsd_btn_03				= CreateElement "ceStringPoly"
		ehsd_btn_03.name		= "ehsd_btn_03"
		ehsd_btn_03.material	= mpcd_tpod_font
		ehsd_btn_03.init_pos	= mpcd_btn_03_pos
		ehsd_btn_03.alignment	= "CenterCenter"
		ehsd_btn_03.value		= "M\nA\nP\nM"
		ehsd_btn_03.stringdefs	= MPCD_default_font_size
Add_MPCD_VIDEO_Element(ehsd_btn_03)

-- RIGHT
local	ehsd_btn_11				= CreateElement "ceStringPoly"
		ehsd_btn_11.name		= "ehsd_btn_11"
		ehsd_btn_11.material	= mpcd_tpod_font
		ehsd_btn_11.init_pos	= mpcd_btn_11_pos
		ehsd_btn_11.alignment	= "CenterCenter"
		ehsd_btn_11.value		= "W\nY\nP\nT"
		ehsd_btn_11.stringdefs	= MPCD_default_font_size
		ehsd_btn_11.controllers	= {{"EHSD_MAP_NMenu"}}
Add_MPCD_VIDEO_Element(ehsd_btn_11)

local	ehsd_btn_12				= create_mpcd_textured_box( 180, 864, 198, 922)
		ehsd_btn_12.name		= "ehsd_btn_12"
		ehsd_btn_12.init_pos	= mpcd_btn_12_pos
		ehsd_btn_12.controllers	= {{"EHSD_MAP_NMenu"}, {"EHSD_NOT_AWLS_Str"}}
Add_MPCD_VIDEO_Element(ehsd_btn_12)

local	ehsd_btn_13				= create_mpcd_textured_box( 209, 864, 227, 924)
		ehsd_btn_13.name		= "ehsd_btn_13"
		ehsd_btn_13.init_pos	= mpcd_btn_13_pos
		ehsd_btn_13.controllers	= {{"EHSD_MAP_NMenu"}, {"EHSD_NOT_AWLS_Str"}}
Add_MPCD_VIDEO_Element(ehsd_btn_13)

local	nav_indx_number				= CreateElement "ceStringPoly"
		nav_indx_number.name		= "nav_indx_number"
		nav_indx_number.material	= mpcd_tpod_font
		nav_indx_number.init_pos	= { 0.95,  0.165, 0}
		nav_indx_number.alignment	= "RightCenter"
		nav_indx_number.formats		= {"%s%d"}
		nav_indx_number.stringdefs	= MPCD_large_font_size
		nav_indx_number.controllers	= {{"EHSD_MAP_NMenu"}, {"EHSD_NOT_AWLS_Str"}, {"nav_index_number"}}
Add_MPCD_VIDEO_Element(nav_indx_number)

local	ehsd_btn_15				= CreateElement "ceStringPoly"
		ehsd_btn_15.name		= "ehsd_btn_15"
		ehsd_btn_15.material	= mpcd_tpod_font
		ehsd_btn_15.init_pos	= mpcd_btn_15_pos
		ehsd_btn_15.alignment	= "CenterCenter"
		ehsd_btn_15.value		= "E\nC\nM"
		ehsd_btn_15.stringdefs	= MPCD_default_font_size
Add_MPCD_VIDEO_Element(ehsd_btn_15)

-- BOTTOM
local	ehsd_btn_16				= CreateElement "ceStringPoly"
		ehsd_btn_16.name		= "ehsd_btn_16"
		ehsd_btn_16.material	= mpcd_tpod_font
		ehsd_btn_16.init_pos	= mpcd_btn_16_pos
		ehsd_btn_16.alignment	= "CenterCenter"
		ehsd_btn_16.formats		= {"%s"}
		ehsd_btn_16.stringdefs	= MPCD_default_font_size
		ehsd_btn_16.controllers = {{"EHSD_MAP_NMenu"}, {"nav_pos_source"}}
Add_MPCD_VIDEO_Element(ehsd_btn_16)

local	ehsd_btn_18				= CreateElement "ceStringPoly"
		ehsd_btn_18.name		= "ehsd_btn_18"
		ehsd_btn_18.material	= mpcd_tpod_font
		ehsd_btn_18.init_pos	= mpcd_btn_18_pos
		ehsd_btn_18.alignment	= "CenterCenter"
		ehsd_btn_18.value		= "MENU"
		ehsd_btn_18.stringdefs	= MPCD_default_font_size
Add_MPCD_VIDEO_Element(ehsd_btn_18)

local	ehsd_btn_19				= CreateElement "ceStringPoly"
		ehsd_btn_19.name		= "ehsd_btn_19"
		ehsd_btn_19.material	= mpcd_tpod_font
		ehsd_btn_19.init_pos	= mpcd_btn_19_pos
		ehsd_btn_19.alignment	= "CenterCenter"
		ehsd_btn_19.formats		= {"MK%d"}
		ehsd_btn_19.stringdefs	= MPCD_default_font_size
		ehsd_btn_19.controllers	= {{"EHSD_MAP_NMenu"}, {"mark_index_number"}}
Add_MPCD_VIDEO_Element(ehsd_btn_19)

local	ehsd_btn_20				= CreateElement "ceStringPoly"
		ehsd_btn_20.name		= "ehsd_btn_20"
		ehsd_btn_20.material	= mpcd_tpod_font
		ehsd_btn_20.init_pos	= mpcd_btn_20_pos
		ehsd_btn_20.alignment	= "CenterCenter"
		ehsd_btn_20.formats		= {"%s"}
		ehsd_btn_20.controllers	= {{"ehsd_scale_menu"}}
		ehsd_btn_20.stringdefs	= MPCD_default_font_size
Add_MPCD_VIDEO_Element(ehsd_btn_20)

-- WPT/TGT STEERING MODE MENU
local	ehsd_btn_01				= CreateElement "ceStringPoly"
		ehsd_btn_01.name		= "ehsd_btn_01"
		ehsd_btn_01.material	= mpcd_tpod_font
		ehsd_btn_01.init_pos	= mpcd_btn_01_pos
		ehsd_btn_01.alignment	= "CenterCenter"
		ehsd_btn_01.value		= "D\nE\nS\nG"
		ehsd_btn_01.stringdefs	= MPCD_default_font_size
		ehsd_btn_01.controllers	= {{"EHSD_MAP_NMenu"}, {"EHSD_Designate"}}
Add_MPCD_VIDEO_Element(ehsd_btn_01)

local	ehsd_btn_14_wpt				= CreateElement "ceStringPoly"
		ehsd_btn_14_wpt.name		= "ehsd_btn_14_wpt"
		ehsd_btn_14_wpt.material	= mpcd_tpod_font
		ehsd_btn_14_wpt.init_pos	= mpcd_btn_14_pos
		ehsd_btn_14_wpt.alignment	= "CenterCenter"
		ehsd_btn_14_wpt.value		= "W\nO\n/\nS"
		ehsd_btn_14_wpt.stringdefs	= MPCD_default_font_size
		ehsd_btn_14_wpt.controllers	= {{"EHSD_MAP_NMenu"}, {"EHSD_WOS_Valid"}}
Add_MPCD_VIDEO_Element(ehsd_btn_14_wpt)

-- TCN STEERING MODE MENU
local	ehsd_btn_14_tcn				= CreateElement "ceStringPoly"
		ehsd_btn_14_tcn.name		= "ehsd_btn_14_tcn"
		ehsd_btn_14_tcn.material	= mpcd_tpod_font
		ehsd_btn_14_tcn.init_pos	= mpcd_btn_14_pos
		ehsd_btn_14_tcn.alignment	= "CenterCenter"
		ehsd_btn_14_tcn.value		= "T\nO\n/\nS"
		ehsd_btn_14_tcn.stringdefs	= MPCD_default_font_size
		ehsd_btn_14_tcn.controllers	= {{"EHSD_MAP_NMenu"}, {"EHSD_TOS_Valid"}}
Add_MPCD_VIDEO_Element(ehsd_btn_14_tcn)

-- NAV MODE MENU
-- LEFT
local	ehsd_btn_04				= CreateElement "ceStringPoly"
		ehsd_btn_04.name		= "ehsd_btn_04"
		ehsd_btn_04.material	= mpcd_tpod_font
		ehsd_btn_04.init_pos	= mpcd_btn_04_pos
		ehsd_btn_04.alignment	= "CenterCenter"
		ehsd_btn_04.value		= "A\nW\nL\nS"
		ehsd_btn_04.stringdefs	= MPCD_default_font_size
		ehsd_btn_04.controllers	= {{"EHSD_MAP_NMenu"}, {"EHSD_NAV_Mode"}}
Add_MPCD_VIDEO_Element(ehsd_btn_04)

local	ehsd_btn_05				= CreateElement "ceStringPoly"
		ehsd_btn_05.name		= "ehsd_btn_05"
		ehsd_btn_05.material	= mpcd_tpod_font
		ehsd_btn_05.init_pos	= mpcd_btn_05_pos
		ehsd_btn_05.alignment	= "CenterCenter"
		ehsd_btn_05.value		= "T\nC\nN"
		ehsd_btn_05.stringdefs	= MPCD_default_font_size
		ehsd_btn_05.controllers	= {{"EHSD_MAP_NMenu"}, {"EHSD_NAV_Mode"}}
Add_MPCD_VIDEO_Element(ehsd_btn_05)

-- TOP
local	ahrs_opt_btn_06				= CreateElement "ceStringPoly"
		ahrs_opt_btn_06.name		= "ahrs_opt_btn_06"
		ahrs_opt_btn_06.material	= mpcd_tpod_font
		ahrs_opt_btn_06.init_pos	= mpcd_btn_06_pos
		ahrs_opt_btn_06.alignment	= "CenterCenter"
		ahrs_opt_btn_06.formats		= {"%s"}
		ahrs_opt_btn_06.stringdefs	= MPCD_default_font_size
		ahrs_opt_btn_06.controllers	= {{"INS_DEG_Mode_OPT1"}}
Add_MPCD_VIDEO_Element(ahrs_opt_btn_06)

local	ahrs_opt_btn_07				= CreateElement "ceStringPoly"
		ahrs_opt_btn_07.name		= "ahrs_opt_btn_07"
		ahrs_opt_btn_07.material	= mpcd_tpod_font
		ahrs_opt_btn_07.init_pos	= mpcd_btn_07_pos
		ahrs_opt_btn_07.alignment	= "CenterCenter"
		ahrs_opt_btn_07.formats		= {"%s"}
		ahrs_opt_btn_07.stringdefs	= MPCD_default_font_size
		ahrs_opt_btn_07.controllers	= {{"INS_DEG_Mode_OPT2"}}
Add_MPCD_VIDEO_Element(ahrs_opt_btn_07)

local	ahrs_opt_btn_08				= CreateElement "ceStringPoly"
		ahrs_opt_btn_08.name		= "ahrs_opt_btn_08"
		ahrs_opt_btn_08.material	= mpcd_tpod_font
		ahrs_opt_btn_08.init_pos	= mpcd_btn_08_pos
		ahrs_opt_btn_08.alignment	= "CenterCenter"
		ahrs_opt_btn_08.formats		= {"%s"}
		ahrs_opt_btn_08.stringdefs	= MPCD_default_font_size
		ahrs_opt_btn_08.controllers	= {{"INS_DEG_Mode_OPT3"}}
Add_MPCD_VIDEO_Element(ahrs_opt_btn_08)

local	ahrs_opt_btn_09				= CreateElement "ceStringPoly"
		ahrs_opt_btn_09.name		= "ahrs_opt_btn_09"
		ahrs_opt_btn_09.material	= mpcd_tpod_font
		ahrs_opt_btn_09.init_pos	= mpcd_btn_09_pos
		ahrs_opt_btn_09.alignment	= "CenterCenter"
		ahrs_opt_btn_09.value		= "ERECT"
		ahrs_opt_btn_09.stringdefs	= MPCD_default_font_size
Add_MPCD_VIDEO_Element(ahrs_opt_btn_09)

local	ahrs_opt_btn_10				= CreateElement "ceStringPoly"
		ahrs_opt_btn_10.name		= "ahrs_opt_btn_10"
		ahrs_opt_btn_10.material	= mpcd_tpod_font
		ahrs_opt_btn_10.init_pos	= mpcd_btn_10_pos
		ahrs_opt_btn_10.alignment	= "CenterCenter"
		ahrs_opt_btn_10.value		= "NSEQ"
		ahrs_opt_btn_10.stringdefs	= MPCD_default_font_size
Add_MPCD_VIDEO_Element(ahrs_opt_btn_10)

-- BOXED SELECTIONS
-- NON-AG MODE:
-- LEFT
local	dstpn_steering				= create_mpcd_textured_box( 5, 4, 58, 153, nil, nil, 1)
		dstpn_steering.name			= "dstpn_steering"
		dstpn_steering.init_pos		= mpcd_btn_01_pos
		dstpn_steering.controllers	= {{"EHSD_MAP_NMenu"}, {"EHSD_DSP_Steering"}}
Add_MPCD_VIDEO_Element(dstpn_steering)

local	dtgt_steering				= create_mpcd_textured_box( 5, 4, 58, 153, nil, nil, 1)
		dtgt_steering.name			= "dtgt_steering"
		dtgt_steering.init_pos		= mpcd_btn_01_pos
		dtgt_steering.controllers	= {{"EHSD_MAP_NMenu"}, {"EHSD_DTG_Steering"}}
Add_MPCD_VIDEO_Element(dtgt_steering)

local	awls_steering				= create_mpcd_textured_box( 5, 4, 58, 153, nil, nil, 1)
		awls_steering.name			= "awls_steering"
		awls_steering.init_pos		= mpcd_btn_04_pos
		awls_steering.controllers	= {{"EHSD_MAP_NMenu"}, {"EHSD_AWLS_Steering"}}
Add_MPCD_VIDEO_Element(awls_steering)

local	tacan_steering				= create_mpcd_textured_box( 5, 4, 58, 153, nil, nil, 1)
		tacan_steering.name			= "tacan_steering"
		tacan_steering.init_pos		= mpcd_btn_05_pos
		tacan_steering.controllers	= {{"EHSD_MAP_NMenu"}, {"EHSD_TCN_Steering"}}
Add_MPCD_VIDEO_Element(tacan_steering)

-- TOP
local	nseq_mode_sel				= create_mpcd_textured_box( 60, 4, 175, 50)
		nseq_mode_sel.name			= "nseq_mode_sel"
		nseq_mode_sel.init_pos		= mpcd_btn_10_pos
		nseq_mode_sel.controllers	= {{"EHSD_NAV_Mode"}, {"nav_nseq_active"}}
Add_MPCD_VIDEO_Element(nseq_mode_sel)

-- RIGHT
local	wypt_steering				= create_mpcd_textured_box( 5, 4, 58, 153, nil, nil, 1)
		wypt_steering.name			= "wypt_steering"
		wypt_steering.init_pos		= mpcd_btn_11_pos
		wypt_steering.controllers	= {{"EHSD_MAP_NMenu"}, {"EHSD_WPT_Steering"}}
Add_MPCD_VIDEO_Element(wypt_steering)

local	woffset_steering				= create_mpcd_textured_box( 5, 4, 58, 153, nil, nil, 1)
		woffset_steering.name			= "woffset_steering"
		woffset_steering.init_pos		= mpcd_btn_14_pos
		woffset_steering.controllers	= {{"EHSD_MAP_NMenu"}, {"EHSD_WOS_Steering"}}
Add_MPCD_VIDEO_Element(woffset_steering)

local	toffset_steering				= create_mpcd_textured_box( 5, 4, 58, 153, nil, nil, 1)
		toffset_steering.name			= "toffset_steering"
		toffset_steering.init_pos		= mpcd_btn_14_pos
		toffset_steering.controllers	= {{"EHSD_MAP_NMenu"}, {"EHSD_TOS_Steering"}}
Add_MPCD_VIDEO_Element(toffset_steering)

-- BOTTOM
local	aut_scale_sel				= create_mpcd_textured_box( 60, 4, 175, 50)
		aut_scale_sel.name			= "aut_scale_sel"
		aut_scale_sel.init_pos		= mpcd_btn_20_pos
		aut_scale_sel.controllers	= {{"ehsd_scale_auto"}}
Add_MPCD_VIDEO_Element(aut_scale_sel)

